## opencv 2.4.8+dfsg1

=== apps/CMakeLists.txt ===
link_libraries(${OPENCV_LINKER_LIBS})

add_subdirectory(haartraining)
add_subdirectory(traincascade)
