=== debian/changelog ===
opencv (2.4.8+dfsg1-2ubuntu1) trusty; urgency=medium

  * Merge with Debian, remaining changes:
   - In debian/rules don't build OpenGL on armhf; not useful there
   - Arch-restrict libopencv-ocl2.4 and libopencv-ocl-dev binary packages
     for now, due to 1263801.
   - In debian/control disable OpenCL support on ppc64el, FTBFS see bug 1263801.
   - add libopencv-ocl-dev to libcv-dev depends
   - opencv-data breaks libopencv-dev (<= 2.4.6.1+dfsg-2ubuntu1)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 25 Feb 2014 11:10:42 +0000

opencv (2.4.8+dfsg1-2) unstable; urgency=medium

  * Update debian/control. 
    - Add libopencv-java and libopencv-jni to Depends of libopencv-dev.
    - Update depends of libopencv-jni, libopencv-java and libopencv-dev.
  * Update debian/libopencv2.4-jni.install.
    Fix install path of libopencv_java248.so
  * Update debian/rules.
    Fix install path of jni library.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 18 Feb 2014 06:16:59 +0900

opencv (2.4.8+dfsg1-1) unstable; urgency=low

  * Update to new source.
    Remove Milky directory in modules/highgui/src/files_Qt/.
  * Update debian/control.
    Add libopencv-ocl-dev to Depends of libopencv-dev. (Closes: #737584)
  * Update libopencv-dev.install.
    Install OpenCVModules-release.cmake and OpenCVModules.cmake.
    (Closes: #737153)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 12 Feb 2014 16:37:21 +0900

opencv (2.4.8+dfsg-1ubuntu1) trusty; urgency=medium

  * Merge with Debian unstable, remaining changes:
   - In debian/rules don't build OpenGL on armhf; not useful there
   - Arch-restrict libopencv-ocl2.4 and libopencv-ocl-dev binary packages
     for now, due to 1263801.
   - In debian/control disable OpenCL support on ppc64el, FTBFS see bug 1263801.
   - add libopencv-ocl-dev to libcv-dev depends
   - opencv-data breaks libopencv-dev (<= 2.4.6.1+dfsg-2ubuntu1)
  * Drop patch detect_sphinx now upstream
  * Drop detect_opencl now upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 12 Feb 2014 16:29:04 +0000

opencv (2.4.8+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 14 Jan 2014 12:28:02 +0900

opencv (2.4.7+dfsg-1) unstable; urgency=low

  * New upstream release. (Closes: #732063)
  * Add patches/revert-Make-ts-always-static.
  * Add ocl library. (Closes: #732028, #720092)
  * Add java library. (Closes: #728221)
  * Update debian/control.
    - Remove Vcs-Svn field and add Vcs-Git field.
    - Update Vcs-Browser field.
    - Update Homepage field.
    - Bumped standards-version to 3.9.5.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 03 Dec 2013 08:17:57 +0900

opencv (2.4.6.1+dfsg-2) unstable; urgency=low

  [ Anton Gladky ]
  * Replace libeigen2-dev by libeigen3-dev. (Closes: #726155)
  
  [ Nobuhiro Iwamatsu ]
  * FTBFS on sparc64. (Closes: #714923)
    Add patches/change_type_from_int_to_Atomic_word.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 23 Nov 2013 11:31:08 +0900

opencv (2.4.6.1+dfsg-2ubuntu5) trusty; urgency=medium

  * Don't build OpenGL on armhf; not useful there.  

 -- Iain Lane <iain.lane@canonical.com>  Thu, 16 Jan 2014 11:19:15 +0000

opencv (2.4.6.1+dfsg-2ubuntu4) trusty; urgency=medium

  * Arch-restrict OpenCL binary packages for now, due to 1263801.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 24 Dec 2013 11:54:25 -0700

opencv (2.4.6.1+dfsg-2ubuntu3) trusty; urgency=medium

  * Enable TBB support on all, but arm64 (not available).
  * Disable OpenCL support on ppc64el, FTBFS see bug 1263801.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 23 Dec 2013 23:43:41 +0000

opencv (2.4.6.1+dfsg-2ubuntu2) trusty; urgency=low

  * Add patch detect_sphinx to fix detection of Python Sphinx

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 13 Dec 2013 13:00:18 +0000

opencv (2.4.6.1+dfsg-2ubuntu1) trusty; urgency=low

  * Merge with Debian unstable, remaining changes:
   - build-dep on ocl-icd-opencl-dev and add libopencv-ocl-dev to libcv-dev depends
     and add libopencv-ocl2.4 and libopencv-ocl-dev packages
  * Add detect_opencl to build ocl with multiarched libraries
  * opencv-data breaks libopencv-dev (<= 2.4.6.1+dfsg-2ubuntu1)
  * Add detect_opencl to fix finding opencl library with multiarch

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 11 Dec 2013 16:23:54 +0000

opencv (2.4.6.1+dfsg-1) unstable; urgency=low

  * Upload to unstable. (Closes: #719998, #716811)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 23 Sep 2013 06:28:00 +0900

opencv (2.4.6.1+dfsg-0exp4) experimental; urgency=low

  * Update debian/control.
    - Fix fails to upgrade from testing by opencv-data. (Closes: #722927)
    - Change Vcs host to anonscm.debian.org.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 20 Sep 2013 08:16:39 +0900

opencv (2.4.6.1+dfsg-0exp3) experimental; urgency=low

  * Update patches/pkg-config. (Closes: #678222, #721894)
    Fix broken pkg-config file.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 06 Sep 2013 13:51:39 +0900

opencv (2.4.6.1+dfsg-0exp2) unstable; urgency=low

  * Update debian/rules.
    - Move configuration for 1394 and V4L to CMAKE_ARCH_FLAGS.
      Thanks to Pino Toscano.
    - Change from target name from override_dh_fixperms to
      override_dh_fixperms-indep.
  * Add fix_ftbfs_on_non_linux.patch.
    Fix FTBFS on non linux. (Closes: #719741)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 04 Sep 2013 10:22:46 +0900

opencv (2.4.6.1+dfsg-0exp1) experimental; urgency=low

  * New upstream release.
  * Update debian/control.
    - Add libgtkglext1-dev, libgl1-mesa-dev and libglu1-mesa-dev
      to Build-Depends.
    - Remove swig from Build-Depends.
  * Update debian/rules.
    - Enable OpenGL.
  * Update patches.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 07 Aug 2013 12:37:41 +0900

opencv (2.4.5+dfsg-0exp1) experimental; urgency=low

  * New upstream release. (Closes: #716811)
  * Update debian/control.

