## opencv 2.4.9+dfsg

=== debian/changelog ===
opencv (2.4.9+dfsg-1ubuntu4) utopic; urgency=medium

  * Build-depend on libtbb-dev on ppc64el.
  * Re-enable the OpenCL support on ppc64el.
  * Re-enable use of precompiled headers on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 08 Sep 2014 12:06:19 +0200

opencv (2.4.9+dfsg-1ubuntu3) utopic; urgency=medium

  * Rebuild against libav11.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Sep 2014 01:47:49 +0100

opencv (2.4.9+dfsg-1ubuntu2) utopic; urgency=medium

  * Restore change to disable use of precompiled headers on arm64, lost in
    the previous merge.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 24 Jul 2014 10:59:53 +0100

opencv (2.4.9+dfsg-1ubuntu1) utopic; urgency=medium

  * Merge with Debian, renaming changes:
   - In debian/rules don't build OpenGL on armhf; not useful there
   - Arch-restrict libopencv-ocl2.4 and libopencv-ocl-dev binary packages
     for now, due to 1263801.
   - In debian/control disable OpenCL support on ppc64el, FTBFS see bug 1263801.
   - add libopencv-ocl-dev to libcv-dev depends
   - opencv-data breaks libopencv-dev (<= 2.4.6.1+dfsg-2ubuntu1)

 -- Rick Timmis (Sick Rimmit) <Rick.Timmis@Abazander.com>  Wed, 23 Jul 2014 17:56:50 +0000

opencv (2.4.9+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes:#753689)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 01 Jul 2014 07:58:34 +0900
