=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,11 @@
 CMAKE_ARCH_FLAGS = -DENABLE_SSE=OFF -DENABLE_SSE2=OFF -DENABLE_SSE3=OFF 
 endif
 
+# No precompiled headers on arm64
+ifeq ($(DEB_HOST_ARCH),arm64)
+CMAKE_ARCH_FLAGS += -DENABLE_PRECOMPILED_HEADERS=OFF
+endif
+
 # No GL on armhf
 ifneq ($(DEB_HOST_ARCH),armhf)
 CMAKE_ARCH_FLAGS += -DWITH_OPENGL=ON
@@ -20,7 +25,7 @@
 endif
 
 # TBB support
-ifneq (,$(findstring $(DEB_HOST_ARCH), i386 amd64 ia64 powerpc ppc64))
+ifneq (,$(findstring $(DEB_HOST_ARCH), i386 amd64 ia64 powerpc ppc64 ppc64el))
 CMAKE_ARCH_FLAGS += -DWITH_TBB=ON
 else
 CMAKE_ARCH_FLAGS += -DWITH_TBB=OFF
